com.trendmicro.ds.platform.rest.object.util

## Class LicenseInfoElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.util.LicenseInfoElement

-     public class LicenseInfoElement
      extends java.lang.Object

  Object for storing information about license for specific module such as activation code, expire date, grace date,...

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LicenseInfoElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActivationCode()` Get the activation code.
    `long` | `getExpireDate()` Get the expiration date in milliseconds since epoch
    `long` | `getGraceDate()` Get the grace date in milliseconds since epoch
    `java.lang.String` | `getLicenseStatus()` Get the license status.
    `java.lang.Integer` | `getLicenseStatusIdentifier()` Get the license status Identifier.
    `java.lang.String` | `getLicenseType()` Get the license type.
    `java.lang.Integer` | `getLicenseTypeIdentifier()` Get the license type identifier.
    `java.lang.String` | `getModuleCodeName()` Get the Module code name.
    `java.lang.Integer` | `getModuleCodeNameIdentifier()` Get the module code name identifier.
    `void` | `setActivationCode(java.lang.String activationCode)` Set the activation code.
    `void` | `setExpireDate(long expireDate)` Set the expiration date in milliseconds since epoch
    `void` | `setGraceDate(long graceDate)` Set the grace date in milliseconds since epoch
    `void` | `setLicenseStatus(java.lang.String licenseStatus)` Set the license status.
    `void` | `setLicenseStatusIdentifier(java.lang.Integer licenseStatusIdentifier)` Set the license status Identifier.
    `void` | `setLicenseType(java.lang.String licenseType)` Set the license type.
    `void` | `setLicenseTypeIdentifier(java.lang.Integer licenseTypeIdentifier)` Set the license type identifier.
    `void` | `setModuleCodeName(java.lang.String moduleCode)` Set the Module code name.
    `void` | `setModuleCodeNameIdentifier(java.lang.Integer moduleCodeNameIdentifier)` Set the module code name identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LicenseInfoElement

          public LicenseInfoElement()

  - ### Method Detail

    - #### getModuleCodeName

          public java.lang.String getModuleCodeName()

      Get the Module code name.
      Returns:
        module code name.

    - #### setModuleCodeName

          public void setModuleCodeName(java.lang.String moduleCode)

      Set the Module code name.
      Parameters:
        `moduleCode` - module code name

    - #### getActivationCode

          public java.lang.String getActivationCode()

      Get the activation code.
      Returns:
        activation code.

    - #### setActivationCode

          public void setActivationCode(java.lang.String activationCode)

      Set the activation code.
      Parameters:
        `activationCode` - activation code.

    - #### getLicenseType

          public java.lang.String getLicenseType()

      Get the license type.
      Returns:
        license type.

    - #### setLicenseType

          public void setLicenseType(java.lang.String licenseType)

      Set the license type.

    - #### getExpireDate

          public long getExpireDate()

      Get the expiration date in milliseconds since epoch
      Returns:
        expireDate expiration date.

    - #### setExpireDate

          public void setExpireDate(long expireDate)

      Set the expiration date in milliseconds since epoch

    - #### getLicenseStatus

          public java.lang.String getLicenseStatus()

      Get the license status.
      Returns:
        licenseStatus license status.

    - #### setLicenseStatus

          public void setLicenseStatus(java.lang.String licenseStatus)

      Set the license status.
      Parameters:
        `licenseStatus` - license status.

    - #### getGraceDate

          public long getGraceDate()

      Get the grace date in milliseconds since epoch
      Returns:
        graceDate grace date.

    - #### setGraceDate

          public void setGraceDate(long graceDate)

      Set the grace date in milliseconds since epoch
      Parameters:
        `graceDate` - grace date.

    - #### getModuleCodeNameIdentifier

          public java.lang.Integer getModuleCodeNameIdentifier()

      Get the module code name identifier.
      Returns:
        moduleCodeNameIdentifier module code name identifier.

    - #### setModuleCodeNameIdentifier

          public void setModuleCodeNameIdentifier(java.lang.Integer moduleCodeNameIdentifier)

      Set the module code name identifier.
      Parameters:
        `moduleCodeNameIdentifier` - module code name identifier.

    - #### getLicenseTypeIdentifier

          public java.lang.Integer getLicenseTypeIdentifier()

      Get the license type identifier.
      Returns:
        licenseTypeIdentifier license type identifier.

    - #### setLicenseTypeIdentifier

          public void setLicenseTypeIdentifier(java.lang.Integer licenseTypeIdentifier)

      Set the license type identifier.
      Parameters:
        `licenseTypeIdentifier` - license type identifier.

    - #### getLicenseStatusIdentifier

          public java.lang.Integer getLicenseStatusIdentifier()

      Get the license status Identifier.
      Returns:
        licenseStatus license status Identifier.

    - #### setLicenseStatusIdentifier

          public void setLicenseStatusIdentifier(java.lang.Integer licenseStatusIdentifier)

      Set the license status Identifier.
      Parameters:
        `licenseStatus` - license status Identifier.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.